Bug 1772381 - Incorrect example to use multiple attributes as a matcher key in the tooltip for Order
Summary: Incorrect example to use multiple attributes as a matcher key in the tooltip ...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Smart Variables
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: 6.8.0
Assignee: Yifat Makias
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-14 09:55 UTC by Sergei Petrosian
Modified: 2020-06-05 08:33 UTC (History)
4 users (show)

Fixed In Version: foreman-2.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
An example of how to match on multiple attributes (53.86 KB, image/png)
2019-11-14 09:55 UTC, Sergei Petrosian
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28343 Normal Closed Incorrect example to use multiple attributes as a matcher key in the tooltip for Order 2020-09-03 19:13:34 UTC

Internal Links: 1766136

Description Sergei Petrosian 2019-11-14 09:55:55 UTC
Created attachment 1636076 [details]
An example of how to match on multiple attributes

Description of problem:
A tooltip provides an incorrect example on how to use multiple attributes as a matcher key.

Version-Release number of selected component (if applicable):
Satellite 6.4 and later
Foreman 1.10 and later

How reproducible:
Always

Steps to Reproduce:
1. In the Satellite web UI, navigate to *Configure* > *Puppet Classes*.
2. Select a class.
3. Click *Smart Class Parameter*.
4. Select some parameter and select the *Override* check box.
5. Click *Add Matcher*.
6. Click on the tooltip next to "Order".
7. Find the following text:
The order in which matchers keys are processed, first match wins.
You may use multiple attributes as a matcher key, for example, an order of host group, environment would expect a matcher such as hostgroup = "web servers", environment = production

Actual results:
The tooltip is misleading. 
1. The example says “host group, environment”, but host group should be hostgroup (spaces don’t work) and the comma needs to be removed. The correct example would be “hostgroup,environment”.

when a space is added after the comma in the ‘Order’-box as the tooltip suggests it is not working.

Expected results:
Something like this. Please correct me if I am wrong:
The order in which matchers keys are processed, first match wins.
You may use multiple attributes as a matcher key, for example, an order of `host group,environment` would expect a matcher such as `hostgroup-"web servers",environment-production

Additional info:
You can find the working setup in the attachment.

Comment 3 Yifat Makias 2019-11-25 12:49:10 UTC
Created redmine issue https://projects.theforeman.org/issues/28343 from this bug

Comment 4 Bryan Kearney 2019-11-26 15:00:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28343 has been resolved.

Comment 7 Peter Ondrejka 2020-06-05 08:33:08 UTC
Verified in Satellite 6.8 snap 2


Note You need to log in before you can comment on or make changes to this bug.